Bug 166259 - Review Request: Zile: Zile Is Lossy Emacs
Summary: Review Request: Zile: Zile Is Lossy Emacs
Status: CLOSED NEXTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review   
(Show other bugs)
Version: rawhide
Hardware: All Linux
medium
medium
Target Milestone: ---
Assignee: Tom "spot" Callaway
QA Contact: David Lawrence
URL: http://zile.sourceforge.net/
Whiteboard:
Keywords:
Depends On:
Blocks: FE-ACCEPT
TreeView+ depends on / blocked
 
Reported: 2005-08-18 12:31 UTC by Jeff Carlson
Modified: 2007-11-30 22:11 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-08-26 23:17:26 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Jeff Carlson 2005-08-18 12:31:25 UTC
Spec Name or Url: http://www.ultimateevil.org/~jeff/Fedora/zile.spec
SRPM Name or Url: http://www.ultimateevil.org/~jeff/Fedora/zile-2.2.1-3.src.rpm
Description: 
Zile is a small Emacs clone. Zile is a customizable, self-documenting
real-time open-source display editor. Zile was written to be as
similar as possible to Emacs; every Emacs user should feel at home.
* This is my first contribution.

Comment 1 Tom "spot" Callaway 2005-08-18 14:46:21 UTC
Review:

Good:

- rpmlint checks clean
- meets naming, packaging guidelines
- license ok (GPL), COPYING in %doc, matches source
- spec file in am. engl, legible
- sources match upstream
- no locales
- no libraries
- not relocatable
- owns all dirs it creates
- no duplicate files
- permissions ok
- clean section OK
- macro use consistent
- code, not content
- no need for -docs
- builds and runs fine on fc4 (x86)
- nothing in %doc affects runtime
- no need for -devel
- no .la, no .pc

Needswork:
- Missing BuildRequires: libtermcap-devel

This is a very minor needswork. Post the fixed spec and I'll approve it. (Also,
resubmit your request for cvsextras access and I'll sponsor).

Comment 2 Jeff Carlson 2005-08-18 15:07:02 UTC
New spec and http://www.ultimateevil.org/~jeff/Fedora/zile-2.2.1-4.src.rpm
posted.  I'll also add it builds and runs fine on my ppc32 system.

Comment 3 Tom "spot" Callaway 2005-08-18 15:17:21 UTC
Approved. Good job. :)

Comment 4 Michael Schwendt 2005-08-18 15:19:53 UTC
Missing "Buildrequires: texinfo":

gcc -c -I../doc -I.. -I../src -Wall -g -fexceptions -m32 -march=i386
-mtune=pentium4 -fasynchronous-unwind-tables -Wall -W -Wmissing-prototypes
-Wstrict-prototypes -Wconversion -pedantic ./mkdoc.c
makeinfo --no-header --no-split -I../doc ../doc/zile.texi >>HELP
/bin/sh: makeinfo: command not found
make[2]: *** [HELP] Error 127

Comment 5 Jeff Carlson 2005-08-18 15:34:44 UTC
Thanks for catching that.  New spec and src.rpm. 
http://www.ultimateevil.org/~jeff/Fedora/zile-2.2.1-5.src.rpm


Comment 6 Michael Fleming 2005-08-19 01:44:40 UTC
FWIW you might want to update this to the current version (2.2.4). 2.2.1 crashed
on startup on 64bit systems which will likely make the x86_64 build a bit unhappy.

(It's fixed in 2.2.2, which is what I ship in my own repository at the moment.)

Comment 7 Jeff Carlson 2005-08-19 03:44:24 UTC
Thanks, I hadn't checked the latest release in a while.  Ok, I've bumped up the
source to the latest.  Spec file is still in the same place.  Here's the latest
SRPM:  http://www.ultimateevil.org/~jeff/Fedora/zile-2.2.4-1.src.rpm


Note You need to log in before you can comment on or make changes to this bug.